## MucharmapChaptersView MucharmapChaptersView |

## Synopsis

                        MucharmapChaptersViewPrivate;
                        MucharmapChaptersView;
    GtkWidget *         mucharmap_chapters_view_new         (void);
    void                mucharmap_chapters_view_set_model   (MucharmapChaptersView *view,
                                                             MucharmapChaptersModel *model);
    MucharmapChaptersModel * mucharmap_chapters_view_get_model
                                                            (MucharmapChaptersView *view);
    gboolean            mucharmap_chapters_view_select_character
                                                            (MucharmapChaptersView *view,
                                                             gunichar wc);
    MucharmapCodepointList *  mucharmap_chapters_view_get_codepoint_list
                                                            (MucharmapChaptersView *view);
    MucharmapCodepointList *  mucharmap_chapters_view_get_book_codepoint_list
                                                            (MucharmapChaptersView *view);
    void                mucharmap_chapters_view_next        (MucharmapChaptersView *view);
    void                mucharmap_chapters_view_previous    (MucharmapChaptersView *view);
    gchar *             mucharmap_chapters_view_get_selected
                                                            (MucharmapChaptersView *view);
    gboolean            mucharmap_chapters_view_set_selected
                                                            (MucharmapChaptersView *view,
                                                             const gchar *name);
    gboolean            mucharmap_chapters_view_select_locale
                                                            (MucharmapChaptersView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----MucharmapChaptersView

## Implemented Interfaces

MucharmapChaptersView implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### MucharmapChaptersViewPrivate

    typedef struct _MucharmapChaptersViewPrivate MucharmapChaptersViewPrivate;

### MucharmapChaptersView

    typedef struct _MucharmapChaptersView MucharmapChaptersView;

### mucharmap_chapters_view_new ()

    GtkWidget *         mucharmap_chapters_view_new         (void);

Returns : |

### mucharmap_chapters_view_set_model ()

    void                mucharmap_chapters_view_set_model   (MucharmapChaptersView *view,
                                                             MucharmapChaptersModel *model);

`view` : |
`model` : |

### mucharmap_chapters_view_get_model ()

    MucharmapChaptersModel * mucharmap_chapters_view_get_model
                                                            (MucharmapChaptersView *view);

`view` : |
Returns : |

### mucharmap_chapters_view_select_character ()

    gboolean            mucharmap_chapters_view_select_character
                                                            (MucharmapChaptersView *view,
                                                             gunichar wc);

`view` : | a MucharmapChaptersView
`wc` : | a character
Returns : | `TRUE` on success, `FALSE` on failure.

### mucharmap_chapters_view_get_codepoint_list ()

    MucharmapCodepointList *  mucharmap_chapters_view_get_codepoint_list
                                                            (MucharmapChaptersView *view);

`view` : | a MucharmapChaptersView
Returns : | a reference to a MucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

### mucharmap_chapters_view_get_book_codepoint_list ()

    MucharmapCodepointList *  mucharmap_chapters_view_get_book_codepoint_list
                                                            (MucharmapChaptersView *view);

`view` : |
Returns : |

### mucharmap_chapters_view_next ()

    void                mucharmap_chapters_view_next        (MucharmapChaptersView *view);

`view` : |

### mucharmap_chapters_view_previous ()

    void                mucharmap_chapters_view_previous    (MucharmapChaptersView *view);

Moves to the previous chapter if applicable.

`view` : | a MucharmapChapters

### mucharmap_chapters_view_get_selected ()

    gchar *             mucharmap_chapters_view_get_selected
                                                            (MucharmapChaptersView *view);

`view` : |
Returns : |

### mucharmap_chapters_view_set_selected ()

    gboolean            mucharmap_chapters_view_set_selected
                                                            (MucharmapChaptersView *view,
                                                             const gchar *name);

`view` : |
`name` : |
Returns : |

### mucharmap_chapters_view_select_locale ()

    gboolean            mucharmap_chapters_view_select_locale
                                                            (MucharmapChaptersView *view);

`view` : |
Returns : |